<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML3.2 EN">
<HTML>
<HEAD>
<META NAME="GENERATOR" CONTENT="DOCTEXT">
<TITLE>PetscEnd</TITLE>
</HEAD>
<BODY BGCOLOR="FFFFFF">
<A NAME="PetscEnd"><H1>PetscEnd</H1></A>
Calls <A HREF="../Sys/PetscFinalize.html#PetscFinalize">PetscFinalize</A>() and then ends the program. This is useful if one  wishes a clean exit somewhere deep in the program. 
<H3><FONT COLOR="#CC3333">Synopsis</FONT></H3>
<PRE>
#include "petsc.h"   
PetscErrorCode PETSC_DLLEXPORT PetscEnd(void)
</PRE>
Collective on <A HREF="../Sys/PETSC_COMM_WORLD.html#PETSC_COMM_WORLD">PETSC_COMM_WORLD</A>
<P>
Options Database Keys are the same as for <A HREF="../Sys/PetscFinalize.html#PetscFinalize">PetscFinalize</A>()
<P>

<P>
<H3><FONT COLOR="#CC3333">Note</FONT></H3>
See <A HREF="../Sys/PetscInitialize.html#PetscInitialize">PetscInitialize</A>() for more general runtime options.
<P>
<H3><FONT COLOR="#CC3333">See Also</FONT></H3>
 <A HREF="../Sys/PetscInitialize.html#PetscInitialize">PetscInitialize</A>(), <A HREF="../Sys/PetscOptionsPrint.html#PetscOptionsPrint">PetscOptionsPrint</A>(), <A HREF="../Sys/PetscMallocDump.html#PetscMallocDump">PetscMallocDump</A>(), <A HREF="../Sys/PetscMPIDump.html#PetscMPIDump">PetscMPIDump</A>(), <A HREF="../Sys/PetscFinalize.html#PetscFinalize">PetscFinalize</A>()
<BR><P><B><P><B><FONT COLOR="#CC3333">Level:</FONT></B>advanced
<BR><FONT COLOR="#CC3333">Location:</FONT></B><A HREF="../../../src/sys/objects/init.c.html#PetscEnd">src/sys/objects/init.c</A>
<BR><A HREF="./index.html">Index of all Sys routines</A>
<BR><A HREF="../../index.html">Table of Contents for all manual pages</A>
<BR><A HREF="../singleindex.html">Index of all manual pages</A>
<P><H3><FONT COLOR="#CC3333">Examples</FONT></H3>
<A HREF="../../../src/snes/examples/tutorials/ex30.c.html">src/snes/examples/tutorials/ex30.c.html</A><BR>
</BODY></HTML>
